<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "ui.dtd">
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output doctype-system="about:legacy-compat" method="html" indent="no" encoding="utf-8"/>

<xsl:template match="part[@name='spam']">
  <xsl:apply-templates select="property"/>
</xsl:template>

<xsl:template match="part/property[@name='whitelist']|part/property[@name='redlist']">
  <style>
    &css_part_spam;
  </style>
  <div class="check-item-list">
    <input class="check-item-list__new-cb" type="checkbox" id="check-item-list__new-cb"/>
    <form class="check-item-list__row check-item-list__new" id="check-item-list__form-new" method="post">
      <input class="check-item-list__new__input-text" type="text" name="new" value="{new}"
        placeholder="{$strings/spam[@name='placeholder-addr']}"/>
      <input class="check-item-list__new__input-text check-item-list__new__input-text--number"
        type="number" name="new-ttl" value="{new/@ttl}"
        placeholder="{$strings/spam[@name='placeholder-TTL']}"/>
      <xsl:value-of select="$strings/spam[@name='TTL-days']"/>.
      <input class="check-item-list__new__btn" type="submit" value="{$strings/submit[@name='create']}"/>
    </form>

    <form id="check-item-list" enctype="multipart/form-data" method="post" action="#">
      <xsl:apply-templates select="item"/>
    </form>
  </div>
</xsl:template>

<xsl:template match="property[@name='whitelist']/item|property[@name='redlist']/item">
  <div class="check-item-list__row">
    <input class="row__cb" type="checkbox" name="del" value="{.}"/>
    <div class="row__caption">
      <xsl:value-of select="."/>
    </div>

    <xsl:if test="@ttl">
      <xsl:variable name="d" select="floor(@ttl div 86400)"/>
      <xsl:variable name="day-sec" select="@ttl - ($d * 86400)"/>
      <xsl:variable name="h" select="floor($day-sec div 3600)"/>
      <xsl:variable name="m" select="floor( ($day-sec - ($h * 3600)) div 60)"/>
      <xsl:variable name="s" select="$day-sec - ($h * 3600) - ($m * 60)"/>

      <div class="row__caption__TTL">
        <xsl:choose>
          <xsl:when test="$d &gt; 1">
            <xsl:value-of select="$d"/>
            <xsl:text> </xsl:text>
            <xsl:value-of select="$strings/spam[@name='TTL-days']"/>
            <xsl:text> </xsl:text>
          </xsl:when>
          <xsl:when test="$d = 1">
            <xsl:value-of select="$strings/spam[@name='TTL-one-day']"/>
            <xsl:text> </xsl:text>
          </xsl:when>
        </xsl:choose>

        <xsl:value-of select="format-number($h,'00')"/><xsl:text>:</xsl:text>
        <xsl:value-of select="format-number($m,'00')"/><xsl:text>:</xsl:text>
        <xsl:value-of select="format-number($s,'00')"/>
      </div>
    </xsl:if>
  </div>
</xsl:template>

</xsl:stylesheet>
